# $Revision: 1.17 $, $Date: 2002/10/08 07:59:53 $
Summary:	DConnect Daemon - Hub D****ct Connect for Linux
Summary(pl):	DConnect Daemon - Hub D****ct Connecta dla Linuksa
Name:		dcd
Version:	0.1.0
Release:	3
License:	GPL v2
Group:		Networking/Daemons
Vendor:		DConnect Team <dc-hub@ds.pg.gda.pl>
Source0:	ftp://pollux.ds.pg.gda.pl/pub/Linux/DConnect/sources/stable/%{name}-%{version}.tar.bz2
Patch0:		%{name}-MyINFO_sig11_fix.patch
URL:		http://www.dc.ds.pg.gda.pl/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libwrap-devel
BuildRequires:	lwl-devel >= 0.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is Linux D*** Connect Hub implementation for Linux. It works in
daemon mode and utilizes threads.

%description -l pl
Pakiet zawiera Linuksow implementacj huba D*** Connecta, ktry
pracuje jako demon i uywa wtkw.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--sysconfdir=%{_sysconfdir}/dcd

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/{sysconfig,rc.d/init.d},/var/log}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install contrib/PLD/dcd.init $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/dcd
install contrib/dcd.sysconfig $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/dcd

touch $RPM_BUILD_ROOT/var/log/dcd.log
%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add dcd
if [ -f /var/lock/subsys/dcd ]; then
        /etc/rc.d/init.d/dcd restart 1>&2
else
        echo "Run \"/etc/rc.d/init.d/dcd start\" to start DConnect Daemon."
fi

%preun
if [ "$1" = "0" ]; then
        if [ -f /var/lock/subsys/dcd ]; then
                /etc/rc.d/init.d/dcd stop 1>&2
        fi
        /sbin/chkconfig --del dcd
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS FAQ NEWS README TODO doc/*.txt doc/*.html
%config(noreplace) %{_sysconfdir}/dcd/dchub.conf
%config(noreplace) %{_sysconfdir}/sysconfig/dcd
%attr(755,root,root) %{_sbindir}/dcd
%attr(754,root,root) %{_sysconfdir}/rc.d/init.d/dcd
%attr(644,daemon,root) /var/log/dcd.log

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: dcd.spec,v $
Revision 1.17  2002/10/08 07:59:53  blues
- release 3 - added MyINFO patch: prevents crashes when user doesn't have
  enought resources shared. STBR ASAP

Revision 1.16  2002/08/12 07:43:33  kloczek
- release 2: rebuild against lwl 0.9.

Revision 1.15  2002/08/06 21:43:06  blues
- vendor added

Revision 1.14  2002/08/06 21:12:44  blues
- 0.1.0 (some code cleanups, few new features, works really stable)
STBR

Revision 1.13  2002/06/30 11:34:34  blues
- 0.0.7 (few new features)
STBR

Revision 1.12  2002/06/25 09:47:23  blues
- 0.0.6 (buffer overflow removed)
STBR

Revision 1.11  2002/06/23 20:32:22  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.10  2002/06/17 08:05:11  blues
- 0.0.5 (bugfixes - few sig11 killed - works better now)
STBR

Revision 1.9  2002/06/05 00:58:06  blues
- 0.0.4 (working config file - see NEWS)
STBR

Revision 1.8  2002/05/21 23:12:47  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/05/08 16:20:37  blues
- 0.0.3 (overflow removed, libwrap works OK now, generally - works...)
- patch removed (aplied),

Revision 1.6  2002/05/08 13:33:27  blues
- typo

Revision 1.5  2002/05/08 07:22:09  kloczek
- added full regenerate ac/am/lt files (added ac_fixes patch with two small fixes in ac),
- some cosmetics and simplifications,
- remove COPYING from %doc (License is GPL v2).

Revision 1.4  2002/05/07 16:02:50  blues
- cosmetics

Revision 1.3  2002/05/07 16:01:07  blues
- swithc to current webpage and source URL

Revision 1.2  2002/04/30 14:50:16  qboosh
- cosmetics

Revision 1.1  2002/04/28 13:04:02  blues
- initial release
NOTE: This is Direct Connect Hub working in daemon mode. Very Alpha.
Please test it.
